Problema activando plugin Moowoodle  

Página 1 / 2
 
Adán
 Adán
Usuario eminente

Hola¡
Estoy intentando instalar un plugin ( https://wordpress.org/plugins/moowoodle/#description) pero me da un error al ACTIVARLO: "El plugin no ha podido activarse porque ha provocado un error fatal" (es decir, se instala bien, pero da error después cuando quiero instalarlo). Viendo los foros de soporte del plugin el error podría ser por una versión la versión del PHP ( https://wordpress.org/support/topic/plugin-not-getting-activated-2/), pero he probado con el servicio técnico a cambiarlo y el fallo sigue ocurriendo.

Pedí ayuda por mail a los desarrolladores del plugin pero por ahora no me han respondido. ¿Alguna idea de cual puede ser el problema?
¿O algún otro plugin similar? (Necesito poder conectar el wordpress y las compras por woocommerce con una plataforma de moodle, de forma que al comprar un productro se cree la cuenta de moodle automáticamente con acceso al curso que ha comprado)

Muchas gracias¡

Gracias¡

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 22/09/2017 10:49 am
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Qué versión de PHP tienes actualmente en tu sitio?
He probado instalarlo y no he visto que se generen problemas al activar.

Para descartar problemas con tu cuenta te sugiero instalar un nuevo sitio en una carpeta, en este sitio de prueba instala woocommerce y luego el plugin y verifica si te sucede lo mismo.

Saludos.

ResponderCitar
Respondido : 22/09/2017 7:45 pm

Cursos Gratuitos WordPress

Adán
 Adán
Usuario eminente

Hola¡
La versión de PHP es 5.6.31
He probado con otras versiones pero sigue dando el mismo error.
La verdad es que no tengo muchos conocimientos, puedo intentar hacer otra instalacion como me comentas, a ver si soy capaz. De cualquier forma a qué se refiere con "descartar problemas con tu cuenta", a qué cuenta se refiere?
Un saludo y muchas gracias por la ayuda¡¡

ResponderCitar
Respondido : 25/09/2017 10:13 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola.

Puedes probar con otras extensiones por ejemplo :
https://es.wordpress.org/plugins/edwiser-bridge/

Tienes información en el siguiente enlace:
https://www.kasareviews.com/sell-moodle-courses-in-wordpress-using-woocommerce/

Un saludo

ResponderCitar
Respondido : 25/09/2017 10:57 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Adán
 Adán
Usuario eminente

Muchas gracias¡ Lo había visto también pero lo desestimé porque me daba la impresion de que no hacía uso de woocommerce, sino que montaba una plataforma propia de pago (sólo me aparecía además como opción de pago Paypal). Lo tengo instalado pero me daba un fallo al importarlo y me pasé al otro plugin

He probado a instalar el plugin MOOWOODLE en otra página de prueba y lo hace sin problema. Así que no se porque puede ser entonces. ¿Alguna idea?

Un saludo y gracias¡

ResponderCitar
Respondido : 25/09/2017 2:14 pm
Adán
 Adán
Usuario eminente

Con respecto al otro plugin (edwiser-bridge) el error me lo da cuando intenta comprobar la web y el token. Pone que el formato de la url tiene que ser de este tipo "https://yourURL.com or https://yourURL.com/moodl e" pero yo uso un subdominio ( http://formacion.fidias.net), no se si será ese el problema.

De cualquier forma me convence mucho más el otro plugin si fuera capaz de hacerlo funcionar (el de moowoodle)
Empiezo a estar desesperado...

ResponderCitar
Respondido : 25/09/2017 2:45 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Al parecer el segundo plugin tiene una validación incorrecta de la url, y no valida subdominios, podrías enviar un ticket de soporte al desarrollador del plugin.

Con respecto al primer plugin que no se puede instalar, entiendo que has realizado la prueba en un sitio web en tu misma cuenta de hosting, si es así entonces el problema no es la configuración de tu cuenta sino algún problema en el sitio web, en tal caso lo que te recomiendo es probar desactivar todos los plugins que hayas instalado hasta ver si alguno de ellos te causa el conflicto.

Saludos.

ResponderCitar
Respondido : 25/09/2017 6:53 pm
Adán
 Adán
Usuario eminente

Buenas¡
He activado, desactivado, actualizado.... todos los plugin y ahora por fin funciona (era alguno de los plugin que por estar desactualizado la liaba)
Ahora me estoy peleando con la configuración porque me sigue dando un error y no se si será por el subdominio como con el otro plugin. Sino probaré a hacer otra instalación en otra carpeta a ver.
Muchas gracias por la ayuda¡

ResponderCitar
Respondido : 26/09/2017 12:01 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Adrian.

Y en vez tenerlo en u subdominio que puede ser ese el problema, por que no forma parte de tu dominio principal.

Es decir por ejemplo tienes tu dominio principal e instalas moodle en una carpeta por ejemplo cursos y el acceso seria tudominio.com/cursos

En este enlace tienes información de como configurar el plugin -> https://dualcube.com/installation-guide-for-moowoodle/

Un saludo

ResponderCitar
Respondido : 26/09/2017 4:10 pm
Adán
 Adán
Usuario eminente

Hola Pepe¡
Os agradezco mucho la ayuda, la verdad es que estoy ya un poco desesperado. CUando instalé moodle en el subdominio me dió un error que se solucionó reinstalando, pero esta mañana he intentado volver a instalardlo como comentas (en midominio.com/MOODLE) y me ha vuelto a dar el error de la otra vez, pero esta vez no se soluciona con la reinstalación. He puesto un ticket a ver si pueden ayudarme.
Gracias¡

El fallo que me da es que me aparece el siguiente aviso al acabar la instalación:

mysql_full_unicode_support#File_format (esta prueba debe pasar)
Su base de datos tiene tablas que están usando Antelope como sistema de ficheros. Para un soporte completo de UTF-8 en MySQL y MariaDB requiere Barracuda como sistema de ficheros. Por favor convierta las tablas al sistema de ficheros Barracuda. Mire la documentación Administración vía línea de comandos para ver los detalles de alguna herramienta para convertir las tablas de InnoDB a Barracuda.

mysql_full_unicode_support#Large_prefix (esta prueba debe pasar)
Para el soporte completo de UTF-8 en MySQL y MariaDB se requiere cambiar la opción de MySQL 'innodb_large_prefix' a 'ON'. Mira la documentación para más detalles.

site not https Si esta comprobación falla, ello indica un problema potencial
Se ha detectado que su sitio no se comunica a través de HTTPS. Se recomienda migrar su sitio a HTTPS para incrementar la seguridad y mejorar la integración con otros sistemas.

ResponderCitar
Respondido : 26/09/2017 6:36 pm

Cursos Gratuitos WordPress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Qué versión de Moodle estas instalando, de manera general podrías probar la 3.2 que no tiene este requerimiento de BD Barracuda

Saludos

ResponderCitar
Respondido : 26/09/2017 10:22 pm
Adán
 Adán
Usuario eminente

Buenas¡
Actualizo el estado... finalmente me solucinaron desde el servicio técnico la instalación del moodle y ya está funcionando correctamente en la otra ubicación (www.fidias.net/online)

Pero sigue fallando¡¡
Yo sigo la siguiente guía de instalación paso a paso (he hecho no se cuantas veces la he hecho ya entera desde cero una y otra vez por si me dejaba algo): https://dualcube.com/installation-guide-for-moowoodle/
El último paso es darle a sincronizar y hay es donde da el fallo de ""Error! Your moodle site might not configured properly"

Un saludo¡

ResponderCitar
Respondido : 27/09/2017 6:25 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

En los archivos de tu moodle revisa el archivo config.php, revisa como tienes configurado la variable dataroot, puedes enviarnos como esta actualmente, la idea es que este fuera de public_html

Saludos.

ResponderCitar
Respondido : 27/09/2017 8:42 pm
Adán
 Adán
Usuario eminente

Este es el contenido del archivo (he quitado usuario y contraseña por seguridad)
Gracias¡

dbtype = 'mysqli';
$CFG->dblibrary = 'native';
$CFG->dbhost = 'localhost';
$CFG->dbname = '******';
$CFG->dbuser = '******';
$CFG->dbpass = '******';
$CFG->prefix = 'mdl_';
$CFG->dboptions = array (
'dbpersist' => 0,
'dbport' => '',
'dbsocket' => '',
'dbcollation' => 'utf8mb4_general_ci',
);

$CFG->wwwroot = 'http://www.fidias.net/online';
$CFG->dataroot = '/home/fidiasne/moodledatafor';
$CFG->admin = '******';

$CFG->directorypermissions = 0777;

require_once(__DIR__ . '/lib/setup.php');

// There is no php closing tag in this file,
// it is intentional because it prevents trailing whitespace problems!

ResponderCitar
Respondido : 28/09/2017 8:26 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Te recomendaría que revises esta variable:

$CFG->dataroot = '/home/fidiasne/moodledatafor';

Ya que en ocasiones he visto que el directorio se llama moodledata.

Esto ultimo si te recomendaría que consultes con el soporte de Moodle para que te confirmen si es correcto.

ResponderCitar
Respondido : 29/09/2017 1:20 am
Página 1 / 2